Get a lease by ID
https://api.propexo.com/v1/leases/:lease_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- string
- string
PRIMARYSECONDARYGUARANTOROTHER - ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the lease
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
Deprecated. Use residents_meta_data instead
The external ID of the unit from the integration vendor
residents_meta_data object[]
The Propexo unique identifier for the resident
The external type of the resident from the integration vendor
Resident type from Propexo
Show 2 variants
The move-in date associated with the resident
2024-01-01T00:00:00.000ZThe move-out date associated with the resident
The date the resident gave notice
custom_data object | nullrequired
The date the record was last seen from the PMS
The application date associated with the lease
custom_data object | nullrequired
The deposit amount associated with the lease
The deposit amount in cents associated with the lease
100000The deposit date associated with the lease
The end date associated with the lease
DEPRECATED: Please use residents_meta_data to view resident move in dates
DEPRECATED: Please use residents_meta_data to view resident move out dates
The rent amount in cents for the lease
100000The market rent amount in cents for the lease
100000The rent due day associated with the lease
Possible values: >= 0
The rent due date associated with the lease
DEPRECATED: Please use residents_meta_data to view resident move in dates
DEPRECATED: Please use residents_meta_data to view resident move out dates
The date the lease was signed
The start date associated with the lease
DEPRECATED. Use status_normalized
The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS.
Show 5 enum values
ACTIVEINACTIVEOTHERPENDINGEVICTEDThe raw status associated with the lease
The lease term
The type of lease
The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.
The write off amount for the lease, in cents
100000The raw write off amount of the lease from the PMS
The balance amount for the lease, in cents
100000The raw balance amount of the lease from the PMS
The past due balance for the lease, in cents
100000The raw past due balance of the lease from the PMS
The Propexo unique identifier for the unit
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTservices object[]required
The Propexo unique identifier for the lease service
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The name of the lease service
The Propexo unique identifier for the lease
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/leases/:lease_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_unit_id": "string",
"residents_meta_data": [
{
"resident_id": "string",
"x_resident_type": "string",
"resident_type_normalized": "string",
"move_in_date": "2024-01-01T00:00:00.000Z",
"move_out_date": "string",
"notice_date": "string",
"custom_data": "Unknown Type: object,null",
"last_seen": "string"
}
],
"application_date": "string",
"custom_data": "Unknown Type: object,null",
"deposit_amount": "string",
"deposit_amount_in_cents": 100000,
"deposit_date": "string",
"end_date": "string",
"rent_amount_in_cents": 100000,
"rent_amount_market_in_cents": 100000,
"rent_due_day": 0,
"rent_due_date": "string",
"signature_date": "string",
"start_date": "string",
"status_normalized": "ACTIVE",
"status_raw": "string",
"term": "string",
"type": "string",
"unit_number": "string",
"write_off_amount_in_cents": 100000,
"write_off_amount_raw": "string",
"balance_amount_in_cents": 100000,
"balance_amount_raw": "string",
"past_due_balance_in_cents": 100000,
"past_due_balance_raw": "string",
"unit_id": "string",
"property_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"services": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"name": "string",
"lease_id": "string"
}
]
}
}